Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.exception
Class SoaErrorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              be.ehealth.technicalconnector.exception.ConnectorException
                  be.ehealth.technicalconnector.exception.TechnicalConnectorException
                      be.ehealth.technicalconnector.exception.SoaErrorException

All Implemented Interfaces:
  Serializable

    public class SoaErrorException

extends TechnicalConnectorException

exception which contains result of soa error from webservice. allows for easy retrieval of error messages

See Also:
  Serialized Form

Constructor Summary
`SoaErrorException(String errorCode, ErrorType errorType)`
`SoaErrorException(String errorCode, ResponseType responseType)`
`SoaErrorException(String errorCode, ResponseType responseType)`
`SoaErrorException(String errorCode, ResponseType responseType)`

Method Summary
`String` | `getErrorCode()` Gets the fault code.
`ErrorType` | `getErrorType()`
`ResponseType` | `getResponseType()`
`ResponseType` | `getResponseTypeV1_0()`
`ResponseType` | `getResponseTypeV2()`

Methods inherited from class be.ehealth.technicalconnector.exception.TechnicalConnectorException
`getCategory`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SoaErrorException

    public SoaErrorException(String errorCode,
                             ResponseType responseType)

Parameters:
  `errorCode` -
  `responseType` - the commons v1 response type

### SoaErrorException

    public SoaErrorException(String errorCode,
                             ResponseType responseType)

Parameters:
  `errorCode` -
  `responseType` - the commons _1_0 response type

### SoaErrorException

    public SoaErrorException(String errorCode,
                             ResponseType responseType)

Parameters:
  `errorCode` -
  `responseType` - the commons v2 response type

### SoaErrorException

    public SoaErrorException(String errorCode,
                             ErrorType errorType)

Parameters:
  `errorCode` -
  `errorType` -

Method Detail

### getErrorCode

    public String getErrorCode()

  Description copied from class: `ConnectorException`
  Gets the fault code.

  Overrides:
    `getErrorCode` in class `ConnectorException`
  Returns:
    the errorCode

### getResponseType

    public ResponseType getResponseType()

  Returns:
    the responseType

### getResponseTypeV1_0

    public ResponseType getResponseTypeV1_0()

### getResponseTypeV2

    public ResponseType getResponseTypeV2()

  Returns:
    the responseTypeV1

### getErrorType

    public ErrorType getErrorType()

  Returns:
    the errorType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.